#! /bin/sh

TESTID=obsvis-smoke004
OBSVIS_TESTS=OBSVISGui
export TESTID OBSVIS_TESTS
OBSVIS_TESTS_OPTIONS="testinternet rununit"
export OBSVIS_TESTS_OPTIONS

OBSVIS_DS9=ds9

#
# Replace with variable via configure
#
ASCDS_QUIET=1; export ASCDS_QUIET
ASCDS_OVERRIDE=1; export ASCDS_OVERRIDE
. $ASCDS_INSTALL/test/smoke/bin/setup.sh

#
# Setup OBSVIS_PKG_PATH env
#
if [ -f $ASCDS_INSTALL/bin/ciao_setup.sh ]; then
   . $ASCDS_INSTALL/bin/ciao_setup.sh
fi


OBSVISHOME=$ASCDS_WORK_PATH/smoke.${LOGNAME}
export OBSVISHOME
OBSVIS_REGDATA_PATH=$ASCDS_INSTALL/test/smoke/data
export OBSVIS_REGDATA_PATH


#
# Setup test env
#
TESTDIR=$ASCDS_INSTALL/test/smoke/data; export TESTDIR
if [ "$ASCDS_SMOKE_DIR" = "" ]; then
   OUTDIR=$ASCDS_WORK_PATH/smoke.${LOGNAME}/$TESTID; export OUTDIR
else
   OUTDIR=$ASCDS_SMOKE_DIR/smoke.${LOGNAME}/$TESTID; export OUTDIR
fi
SAVEDIR=$TESTDIR/; export SAVEDIR

INDIR=$TESTDIR
OUTFILE=${OUTDIR}/${TESTID}.txt

if test -d $OUTDIR
then
   \rm -rf $OUTDIR
fi
mkdir -p $OUTDIR

#
# Run command
#
printf "Running test $TESTID "

if [ -z "${DISPLAY}" ] ; then
  echo "... SKIP"
  echo "   Test ${TESTID} skipped- DISPLAY not set" > $OUTFILE
  exit 99;
fi

printf "."
$OBSVIS_DS9 -source obsvis_test.tcl | grep -v "missing on display" >> ${OUTFILE}  2>&1 
printf "."

#
# Run checks on the output files.
#
state=0
status="PASS"
if grep "SKIPPING:" $OUTFILE > /dev/null 2>&1
then
   status="SKIP"
else  
   diff "$OUTFILE" "$SAVEDIR/${TESTID}.txt" 2>&1 >> $OUTDIR/diff.log
   if test $? != 0
   then
      state=1
   fi
fi

#
# Exit condition
#
printf ". "

if test $state = 0
then
  echo $status
  rm -f $OBSVISHOME/.obsvis.cal > /dev/null 2>&1
  rm -f $OBSVISHOME/.obsvisrc > /dev/null 2>&1

  if echo "$OUTDIR" | grep "$TESTID" >/dev/null
  then
     rm $OUTDIR/${TESTID}.*

     rm -f $OUTDIR/diff.log
     rmdir $OUTDIR
  fi
else
  echo "FAIL"
fi

exit $state
